[Overview][Constants][Classes][Index] | Reference for unit 'memds' (#fcl)

# smData

Marker used to signify the start of record data for an in-memory dataset

## Declaration

Source position: memds.pp line 39

`const smData = 2;`

## Description

smData is an Integer constant that contains the marker used to signify the start of record data for an in-memory dataset. smData is used in TMemDataset methods which read or write record values using the stream for the in-memory dataset. The value for smData is 2.

## See also

TMemDataset.LoadDataFromStream |  | Loads record data from the specified stream
TMemDataset.SaveDataToStream |  | Saves record data to the specified stream